2009-11-30  Milan Bouchet-Valat <nalimilan@club.fr>

	* Release 2.29.1

2009-09-06  Milan Bouchet-Valat <nalimilan@club.fr>

	* Release 2.22.2

2009-08-16  Milan Bouchet-Valat <nalimilan@club.fr>

	* Release 2.22.1

2008-03-09  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.22.0

2008-02-29  Carlos Garnacho  <carlosg@gnome.org>

	* oobs/oobs-servicesconfig.c (get_runlevel): Do not crash if the
	backend couldn't get the current runlevel.

2008-02-25  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.92

2008-02-16  Carlos Garnacho  <carlosg@gnome.org>

	* oobs/oobs-object.c (object_changed_idle) (changed_signal_filter):
	Emit the ::changed signal in an idle function, so the callback doesn't
	block other incoming DBus signals.

2008-02-12  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.91

2008-01-28  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.90

2008-01-27  Carlos Garnacho  <carlosg@gnome.org>

	* oobs/oobs-iface-ppp.c (oobs_iface_ppp_set_ethernet): setting a NULL
	ethernet interface for PPPoE is not an error.

2008-01-16  Carlos Garnacho  <carlosg@gnome.org>

	* oobs/oobs-selfconfig.c (oobs_self_config_commit): Do not use the
	wrong property to get the crypted password, append correctly gecos
	data in the array when creating the message.

2008-01-15  Carlos Garnacho  <carlosg@gnome.org>

	* configure.in: Dependence on s-t-b >= 2.5.4 was correct, change that
	again.

2008-01-14  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.5

2008-01-08  Carlos Garnacho  <carlosg@gnome.org>

	* oobs/oobs-ifacesconfig.c (create_dbus_struct_from_ifaces_list): Use
	the correct signature for PPP interfaces.

2008-01-02  Carlos Garnacho  <carlosg@gnome.org>

	* oobs/oobs-user.c (oobs_user_new): Do not allow creating users with 
	empty name.
	* oobs/oobs-selfconfig.c (oobs_self_config_update): Do not unref twice
	the user, it's already done in oobs_self_config_users_updated()
	* oobs/oobs-iface.c (struct OobsIfacePrivate): pack booleans.
	* oobs/oobs-group.c: remove silly g_print().

2007-12-18  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.3

2007-12-18  Carlos Garnacho  <carlosg@gnome.org>

	Replace OobsIfaceModem and OobsIfaceISDN with a generic OobsIfacePPP
	object. Which supports modem, isdn, pppoe and gprs.

	* oobs/oobs-iface-ppp.[ch]: Added
	* oobs/oobs-iface-modem.[ch]:
	* oobs/oobs-iface-isdn.[ch]: Removed.
	* oobs/Makefile.am: do autofoo stuff.
	* oobs/oobs-ifacesconfig.c: use the new object.
	* oobs/oobs.h: include the new object.

	* oobs/oobs-group.c: add a missing include.

2007-12-14  Carlos Garnacho  <carlosg@gnome.org>

	* oobs/oobs-iface-ethernet.c: Do not report as configured static
	interfaces with NULL address and netmask.

2007-12-13  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Revert the s-t-b dep to 2.5.2 since
	2.5.4 is nowhere in sight.

2007-12-12  Carlos Garnacho  <carlosg@gnome.org>

	* configure.in: pre-bump revision number.

2007-12-12  Carlos Garnacho  <carlosg@gnome.org>

	Add SMB password handling. Fixes #438052.

	* oobs-smbconfig.[ch] (oobs_smb_config_user_has_password)
	(oobs_smb_config_delete_user_password)
	(oobs_smb_config_set_user_password): new API.
	(update_smb_users) (append_smb_users): New functions, get/set
	configuration for SMB users.
	(oobs_smb_config_commit) (oobs_smb_config_update): Call these.
	* configure.in: bumped required glib version to 2.14.0, we need
	g_hash_table_get_keys(). Also bumped s-t-b version to 2.5.4.

2007-11-14  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.2.1

2007-11-14  Carlos Garnacho  <carlosg@gnome.org>

	* oobs/oobs-ifacesconfig.c: Use the right libhal.h include. Fixes
	#496639.

2007-11-13  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.2

2007-11-13  Carlos Garnacho  <carlosg@gnome.org>

	Adapt to message format change in UsersConfig/GroupsConfig, this means
	we have to rely on s-t-b >= 2.5/2.6. This message format change fixes
	bug #489187.

	* configure.in: bump s-t-b requirement
	* oobs-usersconfig-private.c, oobs-groupsconfig-private.h: they're no
	longer needed, the ID thingy is not passed around anymore, the backend
	will instead rely on the login name to know any variations.
	* Makefile.am: removed these files.
	* oobs-group.[ch], oobs-user.[ch], oobs-groupsconfig.c,
	oobs-usersconfig.c: Do not deal with the ID anymore.
	(oobs_user_set_login_name) (oobs_group_set_name): removed.

2007-11-06  Carlos Garnacho  <carlosg@gnome.org>

	* oobs/oobs-usersconfig.c (oobs_users_config_get_users): Fix typo in
	code, it's the groups configuration what we should make sure we have
	here.

2007-11-06  Carlos Garnacho  <carlosg@gnome.org>

	* oobs/oobs-selfconfig.[ch]: Added, new objects to modify the
	requester user configuration.
	* oobs/oobs.h: include it here.
	* oobs/Makefile.am: and here.

2007-11-06  Carlos Garnacho  <carlosg@gnome.org>

	* oobs/oobs-object.[ch] (oobs_object_get_authentication_action):
	Added, together with a vmethod overridable by derived objects. By
	default it returns the org.freedesktop.systemtoolsbackends.set action.
	(oobs_object_update): do not emit ::updated twice, it's already done
	inside update_object_from_message().

2007-11-06  Carlos Garnacho  <carlosg@gnome.org>

	* oobs/iface-state-monitor-linux.c (read_message): do not emit the
	signal when it couldn't retrieve the interface name.

2007-10-29  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.1

2007-10-10  Carlos Garnacho  <carlosg@gnome.org>

	* oobs-session.[ch] (oobs_session_get_authentication_action): Added.
	Sucks, but I don't find a good way to hide the authentication method
	detail and allow people to integrate with graphical authentication
	helpers like PolicyKit-gnome.

2007-10-07  Carlos Garnacho  <carlosg@gnome.org>

	* oobs-object.[ch] (oobs_object_ensure_update): Added, ensures that an
	object has been updated.
	* oobs-group.[ch] (oobs_group_clear_users): Added, removes all users
	from a group.
	* oobs-groupsconfig.c, oobs-usersconfig.c: Fix error where one of
	these configs could not have references to the latest configuration
	objects from the other, this bug became noticeable when the
	OobsObjects started not updating synchronously at creation.

2007-10-06  Carlos Garnacho  <carlosg@gnome.org>

	* oobs/oobs-object.[ch]: Add ::updated and ::committed, emit
	conveniently after the object has been updated or committed.

2007-10-06  Carlos Garnacho  <carlosg@gnome.org>

	* oobs/oobs-object.[ch] (oobs_object_has_updated): Added, in previous
	versions this was always true, since oobs_*_config_get() updated the
	object, but it no longer does.

2007-10-05  Carlos Garnacho  <carlosg@gnome.org>

	* oobs/oobs-hostsconfig.c, oobs-nfsconfig.c, oobs-smbconfig.c: Use
	dbus helper functions in some missing places.
	* oobs/oobs-usersconfig.c: remove a harmless typo.

2007-10-01  Carlos Garnacho  <carlosg@gnome.org>

	* oobs/oobs-session.c (unregister_object_node): remove the registered
	objects node from the list before unreferencing the object to avoid
	recursing there.
	(oobs_session_get_platform) (get_supported_platforms): remove unused
	vars.

2007-09-30  Carlos Garnacho  <carlosg@gnome.org>

	Add optional HAL support to OobsIfacesConfig.

	* configure.in, oobs/Makefile.am: add autofoo.
	* oobs/oobs-ifacesconfig.c (hal_context_device_added)
	(hal_context_device_removed) (hal_context_get_initial_devices)
	(init_hal_context): Added, emit ::changed when a network device has
	been added/removed.

2007-09-29  Carlos Garnacho  <carlosg@gnome.org>

	* oobs/utils.[ch] (utils_dup_string): Added.
	* oobs/oobs-session.c: use it to get the platform list

2007-09-29  Carlos Garnacho  <carlosg@gnome.org>

	* oobs/oobs-object.c: remove "session" property. get it through
	oobs_session_get() instead.
	* oobs/oobs-session.c: update objects unregistering.
	* oobs/oobs-*config.[ch]: remove the OobsSession argument to object 
	getters.
	* oobs/oobs-user.c, oobs/oobs-group.c, oobs/oobs-iface-ethernet: 
	update callers.
	* doc/reference/tmpl/oobs-object.sgml: update docs.

2007-09-29  Carlos Garnacho  <carlosg@gnome.org>

	* oobs/oobs-object.c, oobs-session.c: implement singletons properly, 
	allow subclassing for the OobsObject class.
	* oobs/*config.c: remove singleton implementation from *_config_get(),
	do not update config there either, we'll let API users choose whether
	to update config synchronously or asynchronously after objects
	initialization.
	* configure.in: bump current, this is a behavior change.

2007-09-15  Carlos Garnacho  <carlosg@gnome.org>

	* utils.[ch] (utils_append_int) (utils_append_uint): Added.
	(utils_get_string_list_from_dbus_reply): move the iter forward after
	parsing.
	(utils_get_basic) (utils_get_int) (utils_get_uint) (utils_get_string):
	New/improved helpers to get data from the DBusMessage, with type
	checking, and moving the iter forward to lessen the message parsing 
	code.

	* oobs-groupsconfig.c, oobs-hostsconfig.c, oobs-ifacesconfig.c,
	oobs-nfsconfig.c, oobs-ntpconfig.c, oobs-servicesconfig.c,
	oobs-smbconfig.c, oobs-timeconfig.c, oobs-usersconfig.c: Use improved
	parsing helpers.

2007-09-14  Carlos Garnacho  <carlosg@gnome.org>

	* oobs/oobs-ifacesconfig.c (oobs_ifaces_config_iface_monitor): Do not
	g_return_if_fail() if iface is NULL, that's legal.

2007-09-13  Carlos Garnacho  <carlosg@gnome.org>

	* configure.in: bump version number.

2007-09-13  Carlos Garnacho  <carlosg@gnome.org>

	Added iface state monitoring.

	* oobs/iface-state-monitor.h: Added.
	* oobs/iface-state-monitor-linux.c: Added Linux implementation.
	* oobs/iface-state-monitor-dummy.c: Added dummy implementation.
	* oobs/oobs-ifacesconfig.c: connect to iface state monitoring.
	* oobs/oobs-iface.[ch]: add ::state-changed signal.
	* configure.in, oobs/Makefile.am: autofoo bar.

2007-09-13  Carlos Garnacho  <carlosg@gnome.org>

	* oobs/oobs-user.[ch] (oobs_user_get_active): new API, returns whether
	a user is currently logged in the computer or not by using utmp.

2007-09-05  Carlos Garnacho  <carlosg@gnome.org>

	* oobs/oobs-usersconfig.c (oobs_users_config_commit): use
	utils_append_string() with two missing strings. Fixes #425062.

2007-09-03  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.19.92

2007-09-03  Carlos Garnacho  <carlosg@gnome.org>

	* configure.in, autogen.sh, doc/reference/Makefile.am: s/src/oobs/ to
	be more friendly to the type scanner in docs.
	* doc/reference/liboobs.types: fill in the types in liboobs.

2007-09-03  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-list.c (oobs_list_remove): do not return FALSE if
	iter->data is NULL, that's valid when removing the last item in the
	list (#472460, John Finlay <finlay@moeraki.com>)

2007-08-28  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.19.91

2007-08-27  John Finlay  <finlay@moeraki.com>

	* src/oobs-list.h (oobs_list_iter_get_type): 
	* src/oobs-ifacesconfig.h (oobs_iface_type_get_type): Add GType
	declarations

	* src/oobs-iface-modem.c (oobs_modem_volume_get_type) 
	(oobs_dial_type_get_type): 
	* src/oobs-ifacesconfig.c (oobs_iface_type_get_type): Add missing
	null values entries.

2007-07-10  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.19.0

2007-07-05  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-object.c (run_message) (run_message_async) avoid critical
	warnings when there is no connection with the bus.

2007-04-09  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.18.1

2007-04-09  Loïc Minier  <lool+gnome@via.ecp.fr>

	* configure.in: link explicitly with gobject. Fixes #411198.

2007-03-12  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.18.0

2007-02-27  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.92

2007-02-12  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.91

2007-02-11  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-share-nfs.c (oobs_share_nfs_get_acl): do not mess GLists
	and GSLists.

2007-01-23  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.90.1

2007-01-23  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-object.c: reduce some dubious g_critical()'s to
	g_warning()'s.

2007-01-22  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.90

2007-01-09  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.5.1

2007-01-09  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-ifacesconfig.c (create_dbus_struct_from_iface)
	(create_dbus_struct_from_ifaces_list): send correctly config_method
	and key_type according to the new format.

2007-01-09  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.5

2007-01-09  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-ifacesconfig.[ch]
	(oobs_ifaces_config_get_available_configuration_methods)
	(oobs_ifaces_config_get_available_key_types): added, get an
	extensiblee list of configuration types.
	* src/oobs-iface-wireless.[ch]: (oobs_iface_wireless_[gs]et_key_type):
	accept/return a string parameter.
	* src/oobs-iface-ethernet.[ch]
	(oobs_iface_ethernet_[gs]et_configuration_method): accept/return a
	string parameter
	* doc/reference/tmpl/*: update these docs.
	* configure.in: bump current number

2007-01-08  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.4

2006-12-11  Carlos Garnacho  <carlosg@gnome.org>

	* doc/, doc/reference/: add .cvsignore files
	* src/oobs-iface.h: remove oobs_iface_get_hwaddr function declaration.

2006-12-10  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-share-nfs.c: add missing documentation bits.
	* src/oobs-iface.c (oobs_iface_get_hwaddr): removed, not used
	anywhere...
	* doc/reference/Makefile.am: ignore oobs.h
	* doc/reference/tmpl/*sgml: add some descriptions.
	* doc/reference/liboobs-docs.sgml: change index layout.

2006-12-06  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-timeconfig.c (real_set_time): initialize tm.tm_isdst to
	avoid a conditional jump based on uninitialized values in mktime().

2006-12-05  Carlos Garnacho  <carlosg@gnome.org>

	* doc/reference/liboobs-sections.txt: updated.

2006-12-05  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-share-smb.h, oobs-iface-wireless.h, oobs-iface-modem.h,
	oobs-iface-ethernet.h: define function prototypes correctly.
	* src/oobs-iface-isdn.c, oobs-iface-modem.c, oobs-iface.c,
	oobs-ifacesconfig.c, oobs-service.c, oobs-servicesconfig.c,
	oobs-share-nfs.c, oob-share-smb.c, oobs-smbconfig.c, oobs-user.c,
	oobs-usersconfig.c: Add API docs.

2006-12-04  Carlos Garnacho  <carlosg@gnome.org>

	* oobs-object.[ch] (oobs_object_process_requests): added, blocks until
	all pending messages are processed.
	(async_message_cb) (run_message_async): maintain a list of pending 
	calls.
	(oobs_object_finalize): cancel all pending calls.
	* oobs-session.[ch] (oobs_session_process_requests): added, blocks
	until all pending messages in the session are processed.
	* configure.in: bump revision number, bump version.

2006-12-01  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.3

2006-11-26  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-session.c (oobs_session_finalize): Do not close the
	connection, it's owned by libdbus. Also do not unref it, libdbus seems
	not to like it.

2006-11-16  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-object.c, src/oobs-session.c: handle better the cases where
	a DBusConnection couldn't be got. Fixes #362942.

2006-11-08  Kjartan Maraas  <kmaraas@gnome.org>

	* src/oobs-nfsconfig.c: (create_dbus_struct_from_share):
	* src/oobs-service.c: (oobs_service_get_runlevel_configuration):
	* src/oobs-service.h:
	* src/oobs-timeconfig.c: (oobs_time_config_update):
	Fix a few more compiler warnings that slipped through the
	first time.

2006-11-08  Kjartan Maraas  <kmaraas@gnome.org>

	* src/oobs-hostsconfig.c: (oobs_hosts_config_set_dns_servers),
	(oobs_hosts_config_set_search_domains): Fix the rest of the
	compiler warnings.

2006-11-08  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-smbconfig.h: added some missing function declarations.

2006-11-05  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.2

2006-11-04  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-iface-ethernet.c (oobs_iface_ethernet_set_property): do not
	mess with network address when setting gateway, stupid c&p.
	* src/oobs-ifacesconfig.c (create_dbus_struct_from_iface): plug a
	leak.

2006-11-03  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-object.c (run_message_async): unref the pending call.

2006-11-03  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-object.c:
	* src/oobs-share.c:
	* src/oobs-iface.c: convert to abstract classes.

2006-10-23  Carlos Garnacho  <carlosg@gnome.org>

	* src/utils.c (utils_get_string): check that the iter contains a
	string before trying to retrieve it.

2006-10-09  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-usersconfig.c, oobs-groupsconfig.c: don't leave unused IDs.
	Fixes #360848.

2006-10-06  Carlos Garnacho  <carlosg@gnome.org>

	* Release 0.6.0

2006-10-06  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-ifacesconfig.c: get/set gateway settings for ethernet like
	interfaces.
	* configure.in: bump s-t-b requirement to 1.9.7.

2006-10-03  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-session.c (get_supported_platforms): fix platforms
	retrieving.

2006-10-02  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-smbconfig.c (oobs_smb_config_update):
	* src/oobs-nfsconfig.c (oobs_nfs_config_update): make more robust
	against crappy entries.

2006-10-02  Carlos Garnacho  <carlosg@gnome.org>

	* oobs-session.[ch] (oobs_session_get_connected): added. No longer
	assert if liboobs can't get the DBusConnection.
	* oobs-object.c (run_message), (run_message_async): use the new
	function.

2006-09-30  Carlos Garnacho  <carlosg@gnome.org>

	* configure.in: depend on latest s-t-b

2006-09-28  Carlos Garnacho  <carlosg@gnome.org>

	* Release 0.5.0

2006-09-23  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-timeconfig.c (oobs_time_config_update): keep in mind the
	possibility of a NULL timezone. Other misc doc fixes.

2006-09-16  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-result.h: added, contains a generic enum for return error
	codes.
	* src/oobs.h, Makefile.am: add the new file in the pertinent places.
	* src/oobs-object.[ch]: remove OobsObjectResult,
	s/OobsObjectResult/OobsResult/g.
	* src/oobs-session.[ch] (oobs_session_commit)
	(oobs_session_get_platform) (oobs_session_set_platform)
	(oobs_session_get_platform_list): slight API changes, make them return
	an OobsResult value.
	* configure.in: bump libtool current number. Hopefully it's the last
	time in a long period.

2006-09-15  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-servicesconfig.c: as of recent s-t-b CVS, the service 
	status parameter is a enum-like value (int32).

2006-09-15  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-group.[ch], oobs-groupsconfig.[ch], oobs-hostsconfig.[ch],
	oobs-iface-ethernet.[ch], oobs-iface-irlan.h, oobs-iface-isdn.[ch],
	oobs-iface-modem.[ch], oobs-iface-plip.[ch], oobs-iface-wireless.[ch],
	oobs-iface.[ch], oobs-ifacesconfig.[ch], oobs-list.[ch],
	oobs-nfsconfig.[ch], oobs-ntpconfig.[ch], oobs-ntpserver.[ch],
	oobs-object.[ch], oobs-service.[ch], oobs-servicesconfig.[ch],
	oobs-session.[ch], oobs-share-nfs.[ch], oobs-share-smb.[ch],
	oobs-share.[ch], oobs-smbconfig.[ch], oobs-statichost.[ch],
	oobs-timeconfig.[ch], oobs-user.[ch], oobs-usersconfig.[ch]: Add _priv
	pointer to object structs and some padding pointers to class structs.

2006-09-15  Carlos Garnacho  <carlosg@gnome.org>

	Set of changes to adapt to the new UsersConfig and GroupsConfig
	parameter, an ID number to identify users/groups, as GID/UID is not
	reliable enough, and may give problems.

	* src/oobs-usersconfig.c, oobs-usersconfig-private.h: implement
	_oobs_users_config_get_id (), give each user its ID.
	* src/oobs-groupsconfig.c, oobs-groupsconfig-private.h: implement
	_oobs_groups_config_get_id (), give each group its ID.
	* src/Makefile.am: add the new private files.
	* src/oobs-user.[ch], oobs-group.[ch]: save the new ID number, get one
	if none is given.

2006-09-06  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-session.c: do not try to read from the backend if it has
	not permissions to access it.
	* src/oobs-object.c: ditto, also return OOBS_OBJECT_RESULT_DENIED
	where appropriate.

2006-09-06  Carlos Garnacho  <carlosg@gnome.org>

	* Release 0.4.0

2006-09-06  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-servicesconfig.c (oobs_services_config_commit): fixed a bad
	bad nasty-de-plasty weird bug that could cripple your init.d, I should
	be buried beside a nest of cannibal ants for this. My apologies to
	anyone affected. I'll buy the shovel.

2006-09-04  Carlos Garnacho  <carlosg@gnome.org>

	* Release 0.3.0

2006-09-04  Carlos Garnacho  <carlosg@gnome.org>

	* configure.in: bump some required versions.
	* oobs-group.c, oobs-hostsconfig.c, oobs-iface.c, oobs-list.c,
	oobs-object.c, oobs-timeconfig.c: document, document, document.
	* oobs-servicesconfig.c, oobs-service.[ch]: the backend doesn't 
	provide roles for services/runlevels anymore.
	* oobs-session.[ch]: remove some old code, do not use
	dbus_connection_disconnect()

2006-08-04  Carlos Garnacho  <carlosg@gnome.org>

	* src/Makefile.am: do not export unwanted symbols

2006-08-02  Carlos Garnacho  <carlosg@gnome.org>

	* Release 0.2.0

2006-07-30  Ed Catmur  <ed@catmur.co.uk>

	* doc/reference/liboobs-docs.sgml: put title to the API reference

2006-07-06  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-object.c (changed_signal_filter)
	(connect_object_to_session): make sure that the "changed" signal is
	only sent to the relevant objects.

2006-07-05  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-hostsconfig.c (oobs_hosts_config_set_domainname): prevent a
	crash if the given domainname is NULL.
	* src/oobs-hostsconfig.h: oops, forgot to add a couple of function
	declarations.
	* src/oobs-ifacesconfig.[ch]: s/OOBS_IFACE_*/OOBS_IFACE_TYPE_*/ in
	OobsIfaceType.
	* src/oobs-list.[ch] (oobs_list_get_n_items): added

2006-06-13  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-user.c, oobs-group.c: use crypt builtin MD5 encryption, 
	modified patch from Michael Vogt <mvo@ubuntu.org>
	* src/md5.[ch], md5-crypt.c: nuked, they're obsolete
	* configure.in, src/Makefile.am: add libtool library versioning

2006-06-06  Carlos Garnacho  <carlosg@gnome.org>

	* Release 0.1.0

2006-06-05  Carlos Garnacho  <carlosg@gnome.org>

	* doc/reference/tmpl/*, doc/reference/liboobs-docs.sgml,
	doc/reference/liboobs-sections.txt: update to last changes
	* doc/reference/Makefile.am: hide utils.h
	* Makefile.am, src/Makefile.am: distcheck fixes

2006-06-05  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-hostsconfig.c: allow empty domain name.
	* src/oobs-ifacesconfig.c: get/set "auto"

2006-05-30  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-hostsconfig.c: send hostname and domainname when
	committing.

2006-05-30  Carlos Garnacho  <carlosg@gnome.org>

	* oobs-iface-ethernet.c (oobs_iface_ethernet_is_configured): check
	that configuration_method is static before assuming that the interface
	is statically configured.
	* oobs-ifacesconfig.c: allow OOBS_METHOD_NONE as configuration method.
	Fix typo in DBus format when setting configuration

2006-05-27  Frederic Peters  <fpeters@entrouvert.com>

	* src/oobs-usersconfig.[ch]: unbreak build

2006-05-26  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-usersconfig.[ch]: get/set default group for new users

2006-05-24  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-hostsconfig.c (oobs_hosts_config_set_dns_servers)
	(oobs_hosts_config_set_search_domains): added, they were missing
	* src/oobs-hostsconfig.h: add missing function declarations

2006-05-18  Carlos Garnacho  <carlosg@gnome.org>

	* configure.in: use correct .pc file and version for 
	system-tools-backends
	* autogen.sh: use automake 1.9

2006-05-16  Carlos Garnacho  <carlosg@gnome.org>

	* oobs-nfsconfig.c, oobs-ntpconfig.c: remove unnecessary call to
	_oobs_object_set_dbus_message(), the object already has a pointer to
	the message
	* oobs-object.[ch]: removed "changing" signal, default "changed" to do 
	nothing, if it's necessary, the ::changed handler may call 
	oobs_object_update () on its own.
	(_oobs_object_get_dbus_message) (_oobs_object_set_dbus_message),
	(oobs_object_commit), (oobs_object_commit_async),
	(oobs_object_update_async): implemented.
	* oobs-service.[ch]: added support for getting/setting runlevel states
	and priorities, add getters/setters
	* oobs-servicesconfig.[ch]: plug some leaks. make it able to get/set
	all the configuration from/to DBus.
	* oobs-session.[ch]: add support for telling the backend which
	platform it's running on, as well as getting the list of supported 
	platforms. Use system bus. Also remove "commit-on-exit" property, it 
	was a somewhat silly concept.
	* oobs-share-smb.c (oobs_share_smb_new): add some path validation
	* oobs-smbconfig.c: add support for getting/setting global SMB
	configuration, plus hability to commit configuration
	* oobs-timeconfig.c: fix a crash
	* oobs-user.c: unref main group on finalize
	* oobs-usersconfig.c: plug some leaks, add a guard for not committing
	malformed data

2006-05-15  Carlos Garnacho  <carlosg@gnome.org>

	* src/oobs-iface-irlan.[ch], oobs-ifacesconfig.[ch]: added files
	* src/Makefile.am: reflect this
	* src/oobs.h: include missing headers
	* src/utils.[ch] (utils_append_string): new helper function, appends a
	possibly NULL string to a DBus message
	* oobs-groupsconfig.c: plug a leak.
	* oobs-group.c: unref the users
	* oobs-hostsconfig.c: add support for hostname/domain, plug a leak
	* oobs-iface-ethernet.c, oobs-iface-wireless.c, oobs-iface-plip.c: 
	implement (* is_configured), a couple of doc fixes
	* oobs-iface-ethernet.h: set right parent object
	* oobs-iface-isdn.[ch], oobs-iface-modem.[ch]:
	pack booleans in struct, set right parent
	object, make property names shorter, implement (* is_configured), 
	add missing getter and setter functions.
	* oobs-iface.[ch]: mark "dev" and "hardware-address" as CONSTRUCT_ONLY,
	add support for explicitly unconfigured interfaces. s/enabled/active/g
	* oobs-list-private.h, oobs-object-private.h, oobs-session-private.h: 
	add missing #includes
	* oobs-list.[ch]: OobsListIter is now a boxed type
	

2006-03-17  Carlos Garnacho Parro  <carlosg@gnome.org>

	* oobs-group.c, oobs-user.c: do not free an static variable

	* oobs-group.[ch] (oobs_group_set_user) (oobs_group_remove_user):
	added. Now an OobsGroup contains references to OobsUser objects
	* oobs-groupsconfig.c: add "minimum-gid" and "maximum-gid" properties
	
	* oobs-list.c: Use GList functions, other small fixes

	* oobs-object.c: the method name is now common for all object, add a
	security guard for not committing inconsistent data.

	* oobs-user.[ch]: use an OobsGroup reference instead of GID
	* oobs-usersconfig.c: add default shell property, implement some
	security for inconsistent data
	(oobs_users_config_get_available_shells): added

	* utils.[ch] (utils_append_string): added.

2005-12-09  Carlos Garnacho Parro  <carlosg@gnome.org>

	* oobs-timeconfig.[ch] (oobs_time_config_[gs]et_utc_time): added. Made
	it to send UTC time to the backend. Other miscellaneous fixes.

2005-12-05  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-usersconfig.c: fixed stupid typo in the code

2005-12-02  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-usersconfig.c: handle GECOS fields

2005-12-01  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-session.c (oobs_session_init): abort if a DBusConnection
	couldn't be got.

2005-11-24  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-timeconfig.h: fixed a typo in getter and setter for
	timezone

2005-11-20  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-group.[ch]: added _get_users() and _set_users() methods,
	really crypt the password in the "password" property, and make the
	"crypted-password" property readwrite
	* src/oobs-groupsconfig.c: don't read group key from the dbus reply,
	it's deprecated in s-t-b, set user groups in update() implementation,
	implement commit()
	* src/oobs-nfsconfig.c: small code improvement
	* src/oobs-user.c: made "crypted-password" property readwrite
	* src/oobs-usersconfig.c: store shells, don't read user key from dbus
	reply, it's deprecated, implement commit()
	* src/oobs-shellsconfig.[ch], oobs-shell.[ch]: deleted, functionality 
	has been moved to users config, as it doesn't make much sense as a 
	separate object.
	* src/Makefile.am: remove shell objects

2005-11-18  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-ntpconfig.c: implemented commit()
	* src/oobs-ntpserver.h: fixed function references in header file
	* src/utils.[ch]: added, contains helper funtions for the rest of the
	objects.
	* src/Makefile.am: added utils files
	* src/oobs-hostsconfig.c (get_string_list_from_dbus_reply)
	(create_dbus_array_from_list): moved to utils.c, use these
	* src/oobs-user.c (get_random_string): moved to utils.c, use it.

2005-11-17  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-hostsconfig.c: implemented commit()
	* src/oobs-timeconfig.c: implemented commit(), some misc fixes related
	to time parameter getting that should have been commited a long time
	ago
	* src/oobs-timeconfig.h: fixed function declarations

2005-11-11  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-share-smb.h: fixed a typo in the header
	* src/oobs-servicesconfig.c: skip at the moment runlevels definitions
	and current runlevel
	* src/oobs-list.[ch] (oobs_list_copy) (oobs_list_free): added. fixed a
	typo in the oobs_list_remove function declaration

2005-11-08  Carlos Garnacho Parro  <carlosg@gnome.org>

	* oobs-usersconfig.c: fixed double free()
	* oobs-session.c: added missing include
	* oobs-object.c: free DBus errors, made DBus stuff more general to
	reuse code for commit(), implement commit() in the OobsObject side
	* oobs-object.c, oobs-object-private.h: implemented
	_oobs_object_set_dbus_message()
	* oobs-nfsconfig.c: implement commit()

2005-10-19  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-hostsconfig.c (oobs_hosts_config_get_search_domains):
	return a copy to the list.

2005-10-19  Carlos Garnacho Parro  <carlosg@gnome.org>

	* oobs-group.c, oobs-list.c, oobs-nfsconfig.c, oobs-ntpconfig.c,
	oobs-ntpserver.c, oobs-object.c, oobs-servicesconfig.c, oobs-share.c,
	oobs-smbconfig.c, oobs-statichost.c, oobs-timeconfig.c

2005-10-19  Carlos Garnacho Parro  <carlosg@gnome.org>

	* oobs-iface-ethernet.c, oobs-iface-plip.c, oobs-iface-wireless.c:
	added more doc comments

2005-10-18  Carlos Garnacho Parro  <carlosg@gnome.org>

	* oobs-groups.c, oobs-groupsconfig.c, oobs-hostsconfig.c,
	oobs-iface-ethernet.c: Added some API docs
	* oobs-session.c: improved wording in API docs

2005-10-17  Carlos Garnacho Parro  <carlosg@gnome.org>

	* autogen.sh: make it use at least automake 1.7
	* doc/*: added initial documentation support
	* Makefile.am, configure.in: added doc/ stuff

2005-10-17  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-*config.[ch], oobs-session.[ch]: renamed all singleton
	constructors from _new() to _get().
	* src/oobs-session.c: added some doc comments

2005-10-16  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-shareslist.[ch]: *ahem*, what was it doing here? it has
	been obviously deprecated by OobsSMBConfig and OobsNFSConfig
	* src/Makefile: ditto here

2005-10-16  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-list.c: added locking support
	* src/oobs-list-private.h (_oobs_list_set_locked): added
	* src/oobs-servicesconfig.c: lock the services list, it isn't supposed
	to be modified by the user
	* src/oobs-hostsconfig.c, oobs-servicesconfig.c, oobs-timeconfig.c,
	oobs-usersconfig.c: free correctly the previous configuration before
	an update.

2005-10-16  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-list-iter.h: removed, it wasn't being used, and the
	OobsListIter struct is defined in oobs-list.h

2005-10-15  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-groupsconfig.c, oobs-hostsconfig.c, oobs-nfsconfig.c,
	oobs-servicesconfig.c, oobs-smbconfig.c: Oops, made these objects
	singletons, like they were supposed to be.
	* src/oobs-timeconfig.c: added a missing g_return_val_if_fail().

2005-10-15  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-service.[ch]: added, still missing some things
	* src/Makefile.am: reflect this
	* src/oobs-hostsconfig.[ch]: made it to read configuration correctly
	from DBus, corrected API
	* src/oobs-ntpconfig.c, oobs-object.c: removed fixed FIXME comments
	* src/oobs-servicesconfig.c: made it to read config from DBus, use
	OobsService
	* src/oobs-statichost.[ch]: s/GArray/GList/g, improved constructor
	* src/oobs.h: included src/oobs-service.h

2005-10-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-share-smb.[ch]: changed order of parameters in constructor
	* src/oobs-smbconfig.c: added private data, made it to actually read
	data from DBus. (oobs_smb_config_get_shares): added
	* src/oobs-smbconfig.h: corrected inheritance

2005-10-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-share-smb.[ch]: s/Smb/SMB/g for consistency
	* src/oobs-share-nfs.[ch]: s/Nfs/NFS/g for consistency

2005-10-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-nfsconfig.[ch]: fixed object inheritance, made it retrieves 
	information from DBus actually. (oobs_nfs_config_get_shares): added.
	* src/oobs-object.c: plugged a leak.
	* src/oobs-session.c: uncommented the _disconnect() function.
	* src/oobs-share-nfs.[ch] (oobs_share_nfs_clear_acl): removed
	* src/oobs.h: removed duplicate includes

2005-10-11  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-timeconfig.[ch]: added "timezone" and "unix-time",
	properties, made it to actually get data from the backend, completed
	oobs_time_config_(get|set)_timezone, and added
	oobs_time_config_(get|set)_unix_time
	* src/oobs-user.h: removed unneeded include

2005-10-08  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-iface-ethernet.[ch], oobs-iface-isdn.[ch],
	oobs-iface-modem.[ch], oobs-iface-plip.[ch], oobs-iface-wireless.[ch],
	oobs-iface.[ch]: added
	* src/oobs-statichost.[ch]: ditto
	* src/oobs.h: added new headers
	* src/Makefile.am: added source files
	* src/oobs-share-nfs.[ch]: removed a wrong const return
	* src/oobs-share-smb.[ch], src/oobs-share.[ch]: s/const/G_CONST_RETURN/

2005-10-05  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-hostsconfig.[ch], oobs-servicesconfig.[ch]: added, at the
	moment they're almost dummy files
	* src/Makefile.am: reflect this
	* src/oobs.h: here too
	* src/oobs-groupsconfig.[ch]: fix a couple of small typos

2005-09-20  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-object-private.h: added, contains the function to extract
	the DBusMessage* from an object
	* src/oobs-object.[ch]: hide the pointer that contained the 
	DBusMessage* stuff in the public API to prevent API/ABI changes 
	if there's a change in the used IPC.
	* src/oobs-groupsconfig.c, oobs-nfsconfig.c, oobs-ntpconfig.c,
	oobs-shellsconfig.c, oobs-smbconfig.c, oobs-timeconfig.c,
	oobs-usersconfig.c: use function from oobs-object-private.h to extract
	the DBusMessage*
	* src/oobs.h: forgot to include share includes
	* src/Makefile.am: trivial changes

2005-09-17  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-timeconfig.[ch], oobs-smbconfig.[ch], oobs-nfsconfig.[ch]:
	added, they handle (respectively) time, samba and nfs configuration.
	* src/oobs.h: added those headers
	* src/Makefile.am: added those files

2005-08-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs*.[ch]: Silly copy & paste, s/GPL/LGPL/g in licenses

2005-08-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-groupslist.[ch], oobs-shellslist.[ch], oobs-userslist.[ch]:
	deprecated, to the attic with you!

2005-08-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/md5-crypt.c, md5.[ch]: added to support MD5 crypt
	* src/oobs-defines.h: private header for adding internal defines
	* src/oobs-groupsconfig.[ch]: added. Object for handing groups 
	configuration
	* src/oobs-list.[ch]: now it's an independent list, inheriting for
	GObject, it's done because a single OobsObject might contain several
	lists
	* src/oobs-list-private.h: added. Private header for holding
	OobsList constructor, this won't be made public, as API users
	shouldn't create/destroy it, just use what the OobsObjects provide
	* src/oobs-ntpconfig.[ch]: added. Object to represent NTP servers
	configuration
	* src/oobs-ntpserver.[ch]: added. Object to represent a NTP server 
	to which the computer connects
	* src/oobs-shellsconfig.[ch]: added. Object to represent Shells
	configuration
	* src/oobs-usersconfig.[ch]: added. object to handle users
	configuration
	* src/oobs.h: one header to include them all
	* src/oobs-group.c: added "crypted-password" property, complete API
	* src/oobs-object.c, oobs-session.c, oobs-share-nfs.c, 
	oobs-share-smb.c, oobs-share.c, oobs-shareslist.c, oobs-shell.c,
	oobs-shellslist.c,: code fixes and other improvements
	* src/oobs-shell.[ch]: complete API
	* src/oobs-user.[ch]: ditto
	* configure.in: add checks for libcrypt
	* src/Makefile.am: add all these files

2005-07-20  Carlos Garnacho Parro  <carlosg@gnome.org>

	* *.[ch]: change emacs file style
	* *.c: use G_DEFINE_TYPE instead of defining *_get_type()
	* oobs-list.[ch]: slight API change in oobs_list_get()
	* oobs-shellslist.c: fix a compile warning
	* oobs-userslist.c: fix a compile warning
	* oobs-user.c: move the "nobody" UID and GID to a define

2005-05-08  Carlos Garnacho Parro  <carlosg@gnome.org>

	* src/oobs-userslist.[ch]: added, represents an users list
	* src/oobs-user.[ch]: added, represents an user
	* src/Makefile.am: added those files
	* src/oobs-shareslist.c: small style fix
	* src/oobs-shell.h: fixed a small typo

2005-05-04  Carlos Garnacho Parro  <carlosg@gnome.org>

	* autogen.sh: changed PKG_NAME
	* .cvsignore, src/.cvsignore: added
	* src/oobs-shellslist.[ch], oobs-shell.[ch]: added
	* src/Makefile.am: add them too
	* src/oobs-shareslist.c: removed an unused variable

2005-04-29  Carlos Garnacho Parro  <carlosg@gnome.org>

	* README: Added some info about the project

2005-04-29  Carlos Garnacho Parro  <carlosg@gnome.org>

	* configure.in: bumped system-tools-backends dependency to 1.9.x

2005-04-29  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Initial version

